--[[
Manta as funções neste arquivo GLOBAL porque elas são usadas por outros arquivos.
]]
--caixas para splash
function splashAreaBotao()
   local text1 = "Welcome to \""
   local titulo = "INSECTS"
   local text2 = "A learning game from \"Aprende com Jogos\""
   local text3 = "Please click one of the buttons below."
   local xBorda = 30
   local yBorda = 30
   love.graphics.setColor(255,255,0)
   love.graphics.rectangle("fill", xBorda, yBorda, love.graphics.getWidth()-2*xBorda, love.graphics.getHeight()-2*yBorda)  
   love.graphics.setColor(67,142,70)
   love.graphics.setFont(font48)
   love.graphics.printf( text1 .. titulo .. "\"!", 0, love.graphics.getHeight() * 0.2, love.graphics.getWidth(), "center" )
   love.graphics.setFont(font36)
   love.graphics.printf( text2, 0, love.graphics.getHeight() * 0.3, love.graphics.getWidth(), "center" )
   love.graphics.setFont(font24)
   love.graphics.setColor(255,0,0)
   love.graphics.printf( text3, 0, love.graphics.getHeight() * 0.4, love.graphics.getWidth(), "center" )
   love.graphics.setColor(255,255,255)
end

function splashButaoInstrucoes() 
   local text1 = "I don't know how to play."
   local text2 = "Please show me instructions."
   local widthBorda = 400
   local heightBorda = 100
   local xBorda = 400
   local yBorda = 350
   local widthBotao = widthBorda - 20
   local heightBotao = heightBorda - 20
   local xBotao = xBorda + 10
   local yBotao = yBorda + 10
   love.graphics.setColor(54, 109, 148)
   love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
   love.graphics.setColor(255,0,0)
   love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
   love.graphics.setColor(255,255,255)
   love.graphics.setFont(font24)
   love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
   love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
   love.graphics.setColor(255,255,255)
   love.graphics.setFont(font24)
end

function splashBotaoComeca() 
   local widthBorda = 400
   local heightBorda = 100
   local text1 = "I know how to play."
   local text2 = "Please start the game!"
   local xBorda = 400
   local yBorda = 490
   local widthBotao = widthBorda - 20
   local heightBotao = heightBorda - 20
   local xBotao = xBorda + 10
   local yBotao = yBorda + 10
   love.graphics.setColor(255,0,0)
   love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
   love.graphics.setColor(54, 109, 148)
   love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
   love.graphics.setColor(255,255,255)
   love.graphics.setFont(font24)
   love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
   love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
   love.graphics.setColor(255,255,255)
   love.graphics.setFont(font24)
end

--caixas para joga
function caixaJogaMenu() 
   love.graphics.setColor(54, 109, 148)
   love.graphics.rectangle("fill", 680, 20, 500, 100)  --caixa de menu   
   love.graphics.setColor(255,255,255)
   love.graphics.setFont(font24)
   love.graphics.printf("MENU BOX", 700, 60, 460)   --imprime texto da caixa de menu
end

function caixaJogaInstrucoes()
   love.graphics.setColor(255,255,0)
   love.graphics.rectangle("fill", 20, 20, 640, 100)  --caixa de menu   
   love.graphics.setColor(46,141,32)
   love.graphics.setFont(font24)
   love.graphics.printf("INSTRUCTIONS BOX", 40, 60, 460)   --imprime texto da caixa de menu
   love.graphics.setColor(255, 255, 255)
end
   
function caixaJogaTexto()   
   love.graphics.setColor(255,0,0)
   love.graphics.rectangle("fill", 680, 140, 500, 540)  --text box
   love.graphics.setColor(255, 255, 255)
end



--caixas para cliqueCerto
function cliqueCertoBotaoContinue() 
   local widthBorda = 400
   local heightBorda = 100
   local text1 = "Very good!  That\'s right."
   local text2 = "Click to go select the next phrase."
   local xBorda = 125
   local yBorda = 350
   local widthBotao = widthBorda - 20
   local heightBotao = heightBorda - 20
   local xBotao = xBorda + 10
   local yBotao = yBorda + 10
   love.graphics.setColor(255,0,0)
   love.graphics.rectangle("fill", xBorda, yBorda, widthBorda, heightBorda) 
   love.graphics.setColor(54, 109, 148)
   love.graphics.rectangle("fill", xBotao, yBotao, widthBotao, heightBotao) 
   love.graphics.setColor(255,255,255)
   love.graphics.setFont(font24)
   love.graphics.printf( text1, xBotao + 10, yBotao + 10, widthBotao - 20, "center" )
   love.graphics.printf( text2, xBotao + 10, yBotao + 40, widthBotao - 20, "center" )
   love.graphics.setColor(255,255,255)
   love.graphics.setFont(font24)
end

--Parent Functions
function CAIXA_LOAD()
end

function CAIXA_UPDATE(dt)
end

function CAIXA_DRAW()
end
