--FUNCOES DE MOUSE
--code below defines clickable area of sprites with their text bubbles 
--The "return" in these lines evaluate the Boolean equation and returns true or false
local function inSprite1( x, y )
  return ((x > 50 and x < 178) and (y > 175 and y < 303)) or ((x > 225 and x < 559) and (y > 125 and y < 211))
end

local function inSprite2( x, y )
  return ((x > 530 and x < 658) and (y > 351 and y < 479)) or ((x > 140 and x < 474) and (y > 304 and y < 390))
end

local function inSprite3( x, y )
  return ((x > 75 and x < 203) and (y > 557 and y < 685)) or ((x > 250 and x < 584) and (y > 502 and y < 588))
end

--code below changes cursor image if in clickable area
local function changeCursor()
  if estadoJogo == "splash" then
   local x, y = love.mouse.getPosition()
    --areas in this if statement are buttons in splash screen
    if (x >= 400 and x <= 800 and y >= 350 and y <= 450) or (x >= 400 and x <= 800 and y >= 490 and y <= 590) then 
      love.mouse.setCursor( cursorClique )
    else
      love.mouse.setCursor( cursorPadrao )      
    end
  end
  
  if estadoJogo == "joga" then
   local x, y = love.mouse.getPosition()
    --areas in this if statement are sprites and their text bubbles
    if inSprite1( x, y ) or inSprite2( x, y ) or inSprite3( x, y ) then
      love.mouse.setCursor( cursorClique )
    else
      love.mouse.setCursor( cursorPadrao )      
    end
  end
  
  if estadoJogo == "cliqueCerto" then
   local x, y = love.mouse.getPosition()
    --area in this if statement is continue playing button
    if x >= 125 and x <= 525 and y >= 350 and y <= 450 then 
      love.mouse.setCursor( cursorClique )
    else
      love.mouse.setCursor( cursorPadrao )      
    end
  end  
end

--code below handles mouse clicks
function love.mousereleased(x, y, button)
print("mousereleased")
print(estadoJogo)
  if estadoJogo == "splash" then
    --clique na caixa de instucoes
    if x >= 400 and x <= 800 and y >= 350 and y <= 450 then 
      love.mouse.setCursor( cursorPadrao )
      love.graphics.setColor(255, 255, 255)
print("ran splash - instuctions box")
      estadoJogo = "instrucoes"
    end
    
    --clique na caixa de começa de jogar
    if x >= 400 and x <= 800 and y >= 490 and y <= 590 then 
      spritesDigam()
print("ran splash - start game box")
print("estado = ")
print(estadoJogo)
love.mouse.setCursor( cursorPadrao )
      love.graphics.setColor(255, 255, 255)
      estadoJogo = "joga"
    end
  end

  if estadoJogo == "instrucoes" then
  end
  
  if estadoJogo == "joga" then
print(x)
print(y)
print(spriteDiga[1])
print(spriteDiga[2])
print(spriteDiga[3])
print(parteCerto)
    if inSprite1( x, y ) and spriteDiga[1] == parteCerto then
print("ran joga - Sprite 1 correct")
print("estado = ")
print(estadoJogo)
resultoCorreto = spriteDiga[1]
      textoCombinado = textoCombinado .. " " .. resultoCorreto
      textoImprimido = textoCombinado .. textoProximo
      love.mouse.setCursor( cursorPadrao )
      estadoJogo = "cliqueCerto"
      mousex=1 --debug

    elseif inSprite1( x, y ) and spriteDiga[1] ~= parteCerto then
print("ran joga - Sprite 1 wrong")
print("estado = ")
print(estadoJogo)
      estadoJogo = "cliqueErrado"
      print(sprite1)
      print(estadoJogo)
      mousex=100 --debug

    elseif inSprite2( x, y ) and spriteDiga[2] == parteCerto then
print("ran joga - Sprite 2 correct")
print("estado = ")
print(estadoJogo)
      resultoCorreto = spriteDiga[2]
      textoCombinado = textoCombinado .. " " .. resultoCorreto
      textoImprimido = textoCombinado .. textoProximo
      love.mouse.setCursor( cursorPadrao )
      estadoJogo = "cliqueCerto"
      mousex=2 --debug
   
    elseif inSprite2( x, y ) and spriteDiga[2] ~= parteCerto then
print("ran joga - Sprite 2 wrong")
print("estado = ")
print(estadoJogo)
      estadoJogo = "cliqueErrado"
      mousex=200 --debug   
   
    elseif inSprite3( x, y ) and spriteDiga[3] == parteCerto then
print("ran joga - Sprite 3 correct")
print("estado = ")
print(estadoJogo)
      resultoCorreto = spriteDiga[3]
      textoCombinado = textoCombinado .. " " .. resultoCorreto
      print("L 5")
      textoImprimido = textoCombinado .. textoProximo
      love.mouse.setCursor( cursorPadrao )
      estadoJogo = "cliqueCerto"
      mousex=3 --debug
      
    elseif inSprite3( x, y ) and spriteDiga[3] ~= parteCerto then
print("ran joga - Sprite 3 wrong")
print("estado = ")
print(estadoJogo)
      estadoJogo = "cliqueErrado"
      mousex=300 --debug
    end

  end
  
  if estadoJogo == "cliqueCerto" then
    if x >= 125 and x <= 525 and y >= 350 and y <= 450 then
print("ran cliqueCerto - continue playing box")
print("estado = ")
print(estadoJogo)
      love.mouse.setCursor( cursorPadrao )
      love.graphics.setColor(255, 255, 255)
      passo = passo + 1
      spritesDigam()
      estadoJogo = "joga"
    end
  end 
  
  if estadoJogo == "cliqueErrado" then
  end
end

--Parent Functions
function THEMOUSE_LOAD()
end

function THEMOUSE_UPDATE(dt)
  changeCursor()
end


function THEMOUSE_DRAW()
end